query listEnterprise @auth(level: USER) {
  enterprises {
    id
    enterpriseNumber
    enterpriseName
    enterpriseCode
  }
}

query getEnterpriseById(
  $id: UUID!
) @auth(level: USER) {
  enterprise(id: $id) {
    id
    enterpriseNumber
    enterpriseName
    enterpriseCode
  }
}

query filterEnterprise(
  $enterpriseNumber: String,
  $enterpriseName: String,
  $enterpriseCode: String
) @auth(level: USER) {
  enterprises(
    where: {
      enterpriseNumber: { eq: $enterpriseNumber }
      enterpriseName: { eq: $enterpriseName }
      enterpriseCode: { eq: $enterpriseCode }
    }
  ) {
    id
    enterpriseNumber
    enterpriseName
    enterpriseCode
  }
}
